{% extends 'base_jinja.html' %}
{% block title %} {{ titulo }} {% endblock title %}

{% block stylesheets %}
    {{ super() }}
    <!-- bootstrap datepicker -->
    <link rel="stylesheet" href="{{ static('bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css') }}">
{% endblock stylesheets %}


{% block content %}
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                GDC | SDLC
                <small> {{ titulo }} - {{ sub_titulo }} </small>
            </h1>
        </section>
        <!-- Main content -->
        <section class="content">
                {% if get_messages(request) %}
                
                <div class="modal fade" id="modal-default">
                
                        <div class="modal-dialog">
                          <div class="modal-content">
                            <div class="modal-header">
                              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span></button>
                              <h4 class="modal-title">Mensajería</h4>
                            </div>
                            <div class="modal-body">
                                    {% for message in get_messages(request) %}
                                        <div class="alert alert-{{ message.tags }} alert-dismissible">
                                            <!-- <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> -->
                                            {% if message.tags == 'error' %}
                                                <h4><i class="icon fa fa-ban"></i> ¡Alerta!</h4>
                                            {% elif message.tags == 'warning' %}
                                                <h4><i class="icon fa fa-warning"></i> ¡Cuidado!</h4>
                                            {% elif message.tags == 'success' %}
                                                <h4><i class="icon fa fa-check"></i> ¡Exito!</h4>
                                            {% elif message.tags == 'info' %}
                                                <h4><i class="icon fa fa-info"></i> ¡Atención!</h4>
                                            {% endif %}
                                            {{ message }}
                                        </div>
                                    {% endfor %}
                            </div>
                            <div class="modal-footer">
                              <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                            </div>
                          </div>
                          <!-- /.modal-content -->
                        </div>
                        <!-- /.modal-dialog -->
                </div>
                {% endif %}

                <div class="row">
                    <div class="col-md-8 col-md-offset-2">
                        <div class="box box-danger">
                            <div class="box-header with-border">
                            <h3 class="box-title">{{ sub_titulo }}</h3>
                
                            <div class="box-tools pull-right">
                                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                                </button>
                            </div>
                            <!-- /.box-tools -->
                            </div>
                            <!-- /.box-header -->
                            <div class="box-body">
                                    <form class="form-horizontal" action="" method="post" enctype="multipart/form-data" role="form">
                        
                                        <input type="hidden" name="csrfmiddlewaretoken" value="{{ csrf_token }}">
                                        <div class="box-body">
                                            
                                        <div class="form-group">
                                            <label for="id_empresa" class="col-sm-3 control-label">Nro de RIF</label>
                                            <div class="col-sm-9">
                                                <div class="input-group">
                                                    {{ form.empresa }}
                                                    <span class="input-group-addon"><i class="fa fa-map-marker"></i></span>
                                                </div>
                                                <span class="help-block">
                                                    {% for error in form.empresa.errors %}
                                                        <ul>
                                                            <li class="text-red">{{ error }}</li>
                                                        </ul>
                                                    {% endfor %}
                                                </span>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                                <label for="id_tramite" class="col-sm-3 control-label">Licencia SDLC</label>
                                                <div class="col-sm-9">
                                                    <div class="input-group">
                                                        {{ form.tramite }}
                                                        <span class="input-group-addon"><i class="fa fa-map-marker"></i></span>
                                                    </div>
                                                    <span class="help-block">
                                                        {% for error in form.tramite.errors %}
                                                            <ul>
                                                                <li class="text-red">{{ error }}</li>
                                                            </ul>
                                                        {% endfor %}
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label for="id_tipo_tramite" class="col-sm-3 control-label">Tipo de Licencia</label>
                                                <div class="col-sm-9">
                                                    <div class="input-group">
                                                        {{ form.tipo_tramite }}
                                                        <span class="input-group-addon"><i class="fa fa-credit-card"></i></span>
                                                    </div>
                                                    <span class="help-block">
                                                        {% for error in form.tipo_tramite.errors %}
                                                            <ul>
                                                                <li class="text-red">{{ error }}</li>
                                                            </ul>
                                                        {% endfor %}
                                                    </span>
                                                </div>
                                            </div>
                                           
                                           
                                            <div class="form-group">
                                                <label for="id_metodo_pago" class="col-sm-3 control-label">Método de Pago</label>
                                                <div class="col-sm-9">
                                                    <div class="input-group">
                                                        {{ form.metodo_pago }}
                                                        <span class="input-group-addon"><i class="fa fa-credit-card"></i></span>
                                                    </div>
                                                    <span class="help-block">
                                                        {% for error in form.metodo_pago.errors %}
                                                            <ul>
                                                                <li class="text-red">{{ error }}</li>
                                                            </ul>
                                                        {% endfor %}
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label for="id_banco" class="col-sm-3 control-label">Entidad Bancaria</label>
                                                <div class="col-sm-9">
                                                    <div class="input-group">
                                                        {{ form.banco }}
                                                        <span class="input-group-addon"><i class="fa fa-bank"></i></span>
                                                    </div>
                                                    <span class="help-block">
                                                        {% for error in form.banco.errors %}
                                                            <ul>
                                                                <li class="text-red">{{ error }}</li>
                                                            </ul>
                                                        {% endfor %}
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label for="id_nro_bauche" class="col-sm-3 control-label">Nro de Bauche</label>
                                                <div class="col-sm-9">
                                                    <div class="input-group">
                                                        {{ form.nro_bauche }}
                                                        <span class="input-group-addon"><i class="fa fa-hashtag"></i></span>
                                                    </div>
                                                    <span class="help-block">
                                                        {% for error in form.nro_bauche.errors %}
                                                            <ul>
                                                                <li class="text-red">{{ error }}</li>
                                                            </ul>
                                                        {% endfor %}
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label for="id_nro_semana" class="col-sm-3 control-label">Semanas a Cancelar</label>
                                                <div class="col-sm-9">
                                                    <div class="input-group">
                                                        {{ form.nro_semana }}
                                                        <span class="input-group-addon"><i class="fa fa-hashtag"></i></span>
                                                    </div>
                                                    <span class="help-block">
                                                        {% for error in form.nro_semana.errors %}
                                                            <ul>
                                                                <li class="text-red">{{ error }}</li>
                                                            </ul>
                                                        {% endfor %}
                                                    </span>
                                                </div>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label for="id_monto_bauche" class="col-sm-3 control-label">Monto dépositado</label>
                                                <div class="col-sm-9">
                                                    <div class="input-group">
                                                        {{ form.monto_bauche }}
                                                        <span class="input-group-addon"><i class="fa fa-money"></i></span>
                                                    </div>
                                                    <span class="help-block">
                                                        {% for error in form.monto_bauche.errors %}
                                                            <ul>
                                                                <li class="text-red">{{ error }}</li>
                                                            </ul>
                                                        {% endfor %}
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label for="id_fecha_bauche" class="col-sm-3 control-label">Fecha déposito</label>
                                                <div class="col-sm-9">
                                                    <div class="input-group">
                                                        
                                                         {{ form.fecha_bauche }}
                                                        
                                                        <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                                                    </div>
                                                    <span class="help-block">
                                                        {% for error in form.fecha_bauche.errors %}
                                                            <ul>
                                                                <li class="text-red">{{ error }}</li>
                                                            </ul>
                                                        {% endfor %}
                                                    </span>
                                                </div>
                                            </div>
                                            
                                            <button type="submit" class="btn btn-{{ btn_color }} pull-right">
                                                <i class="fa fa-{{ accion }}"></i>&nbsp;&nbsp;
                                                {{ boton }}
                                            </button>
                                
                                    </form>
                            </div>
                            <!-- /.box-body -->
                        </div>
                        <!-- /.box -->
                    </div>
                    
                </div>

              </section>
        <!-- /.content -->
        <div id="popup" class="modal fade" role="dialog"></div>
    </div>
    <!-- /.content-wrapper -->
{% endblock content %}
{% block javascripts %}
    {{ super() }}
    <!-- bootstrap datepicker -->
    <script src="{{ static('bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js') }}"></script>
    <script src="{{ static('bower_components/bootstrap-datepicker/js//locales/bootstrap-datepicker.es.js') }}"></script>

    <script>
    $('.datepicker').datepicker({
        autoclose: true,
        format: "dd/mm/yyyy",
        language: "es"
    });

    $(function () {
            $('#modal-default').modal('show');
        });

    </script>
{% endblock javascripts %}